/***************************************************************************
 *   Copyright (C) 2007 by Andreas Eckstein                                *
 *   andreas.eckstein@gmx.net                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KIO_FIND_H
#define KIO_FIND_H

#include <kio/forwardingslavebase.h>
#include "findimpl.h"

class kio_findProtocol : public KIO::SlaveBase
{
public:
    kio_findProtocol(const QCString &protocol, const QCString &pool, const QCString &app);
    virtual ~kio_findProtocol();
    virtual void listDir(const KURL &url);
    virtual void stat(const KURL &url);
    
private:
    void malformedError(const KURL& url, QString func, FindURL& furl);
    
    FindImpl m_impl;
};

#endif
